pipelines:
  branches:
    master:
      - step:
          image: ubuntu:14.04
          script:
            - sh scripts/build-docker.sh ubuntu
  custom:
    build-ubuntu:
      - step:
          image: ubuntu:14.04
          script:
            - sh scripts/build-docker.sh ubuntu
    build-fedora:
      - step:
          image: fedora:20
          script:
            - sh scripts/build-docker.sh fedora
    build-archlinux:
      - step:
          image: base/archlinux:latest
          script:
            - sh scripts/build-docker.sh archlinux
    build-snap:
      - step:
          image: ubuntu:16.04
          script:
            - sh scripts/build-docker.sh snap
    build-appimage:
      - step:
          image: ubuntu:14.04
          script:
            # Require?: docker run with --cap-add SYS_ADMIN --device /dev/fuse
            - echo 'appimage build is disabled currently'
            - exit 1
            - sh scripts/build-docker.sh appimage
